Roles
Deletes a role.
The bearer token can be obtained by creating a ServiceAccount.
Successful deletion.
Error object.
DELETE /api/v1/roles/{name} HTTP/1.1
Host: https:/.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Updates a role.
The bearer token can be obtained by creating a ServiceAccount.
Updates a role. Absent fields are left untouched.
Updates the display name of the role.
Happy response.
Error object.
PATCH /api/v1/roles/{name} HTTP/1.1
Host: https:/.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 145
{
"display_name": "text",
"policy": [
{
"action": "kafka:ListTopics",
"resource": "text",
"effect": "allow"
}
],
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"name": "text",
"display_name": "text",
"lrn": "text",
"id": "text",
"created_at": "2025-12-05T02:22:00.959Z",
"policy": [
{
"action": "kafka:ListTopics",
"resource": "text",
"effect": "allow"
}
],
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}Returns a specific role.
The bearer token can be obtained by creating a ServiceAccount.
Happy response.
Error object.
GET /api/v1/roles/{name} HTTP/1.1
Host: https:/.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"name": "text",
"display_name": "text",
"lrn": "text",
"id": "text",
"created_at": "2025-12-05T02:22:00.959Z",
"policy": [
{
"action": "kafka:ListTopics",
"resource": "text",
"effect": "allow"
}
],
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}Creates a new role.
The bearer token can be obtained by creating a ServiceAccount.
Contains the fields needed to create a role.
Sets the unique name of the new role. It must be a valid HQ resource name: it can only contain lowercase alphanumeric characters or hyphens; hyphens cannot appear at the end or start; the length is 63 characters at most.
Sets the display name of the new role. If not provided, the value of "name" will be used.
Happy response.
Error object.
POST /api/v1/roles HTTP/1.1
Host: https:/.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 159
{
"name": "text",
"display_name": "text",
"policy": [
{
"action": "kafka:ListTopics",
"resource": "text",
"effect": "allow"
}
],
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}{
"name": "text",
"display_name": "text",
"lrn": "text",
"id": "text",
"created_at": "2025-12-05T02:22:00.959Z",
"policy": [
{
"action": "kafka:ListTopics",
"resource": "text",
"effect": "allow"
}
],
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}Returns all roles.
The bearer token can be obtained by creating a ServiceAccount.
Happy response.
Error object.
GET /api/v1/roles HTTP/1.1
Host: https:/.example.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"name": "text",
"display_name": "text",
"lrn": "text",
"id": "text",
"created_at": "2025-12-05T02:22:00.959Z",
"policy_length": 1,
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
]
}Last updated
Was this helpful?

